Google Play App Detail
Google Play App Detail 用于按产品 ID 获取 Google Play 应用详情数据。
- 按产品 ID 抓取 Google Play 应用详情
- 支持按地区发起请求
- 返回应用名称、开发者、评分、描述、截图和评论
- 支持一次请求传入多个产品 ID
使用 XCrawl 获取 Google Play 应用详情
使用方式
curl -s -X POST 'https://run.xcrawl.com/v1/data' \
-H 'Authorization: Bearer $XCRAWL_API_KEY'\
-H 'Content-Type: application/json' \
-d '{
"engine": "google_play_app_detail",
"location": "US",
"product_id_list": ["com.tapblaze.coffeebusiness"]
}'请求参数说明:
engine固定为google_play_app_detaillocation用于指定请求地区product_id_list用于传入一个或多个 Google Play 应用 ID
响应示例
{
"result": [
{
"url": "https://play.google.com/store/apps/details?id=com.loves.finder",
"name": "Love's Connect",
"publisher": "Love's Travel Stops and Country Stores, Inc.",
"publisher_url": "https://play.google.com/store/apps/developer?id=Love%27s+Travel+Stops+and+Country+Stores,+Inc.",
"rating": "3.7",
"download_times_des": "1M+ Downloads",
"price": null,
"describe": "Find your favorite Love's Travel Stops...",
"icon": "https://play-lh.googleusercontent.com/LeVqTPW2bJE7DSn8YYWjodPgf-zDardv7Ou_PgzQR1l-fYMczLbR459gAARLW_mTyJVf=w240-h480-rw",
"updatetime": "Jun 16, 2025"
}
]
}参数说明
必填参数
| 参数 | 类型 | 说明 |
|---|---|---|
location | string | 指定请求地区。 |
product_id_list | array | 传入一个或多个 Google Play 应用 ID。 |
参数补充说明
location默认值为USlocation支持多个地区值,例如US、HK、CA、GB、JPproduct_id_list默认值为空数组,数组元素应为 Google Play 应用 ID
响应字段
| 字段 | 类型 | 说明 |
|---|---|---|
url | string | 应用详情页链接。 |
name | string | 应用名称。 |
publisher | string | 开发者名称。 |
publisher_url | string | 开发者页面链接。 |
rating | string | 综合评分。 |
download_times_des | string | 下载量说明。 |
condition_des | string | 年龄分级或适用说明。 |
price | string | 应用价格。 |
describe | string | 应用描述。 |
icon | string | 应用图标链接。 |
images | array | 截图列表。 |
video | string | 宣传视频链接。 |
updatetime | string | 更新时间。 |
provider | string | 数据提供方信息。 |
data_security | string | 数据安全说明。 |
tags | array | 标签列表。 |
rating_detail | array | 评分分布。 |
reviews | array | 用户评论列表。 |
similar_products | array | 相似应用列表。 |
截图字段
images[] 中每一项通常包含以下字段:
| 字段 | 类型 | 说明 |
|---|---|---|
image | string | 截图链接。 |
标签字段
tags[] 中每一项通常包含以下字段:
| 字段 | 类型 | 说明 |
|---|---|---|
name | string | 标签名称。 |
link | string | 标签链接。 |
评分分布字段
rating_detail[] 中每一项通常包含以下字段:
| 字段 | 类型 | 说明 |
|---|---|---|
score | string | 分值。 |
amount | string | 对应评分数量。 |
评论字段
reviews[] 中每一项通常包含以下字段:
| 字段 | 类型 | 说明 |
|---|---|---|
auther | string | 评论者名称。 |
auther_link | string | 评论者头像或资料链接。 |
rating | string | 评论评分。 |
text | string | 评论内容。 |
createdtime | string | 评论时间。 |
相似应用字段
similar_products[] 中每一项通常包含以下字段:
| 字段 | 类型 | 说明 |
|---|---|---|
name | string | 应用名称。 |
icon | string | 应用图标链接。 |
publisher | string | 开发者名称。 |
link | string | 应用链接。 |
rating | string | 应用评分。 |
price | string | 应用价格。 |
